Link List
List all links using the filtering options.
/linksList all links using the filtering options.
In: cookie
Query Parameters
Search query string.
Pagination query parameters.
Response Body
application/json
application/json
curl -X GET "https://example.com/links"{
"page_size": 0,
"results": 0,
"total_pages": 0,
"current_page": 0,
"next_page": 0,
"links": [
{
"id": "cc5lnd2s1s4652adtu50",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"misc": {},
"url": "string",
"slug": "github-com-southclaws-storyden",
"domain": "github.com",
"title": "The Open Graph Protocol",
"description": "The Open Graph protocol enables any web page to become a rich object in a social graph.",
"favicon_image": {
"id": "cc5lnd2s1s4652adtu50",
"filename": "string",
"path": "string",
"mime_type": "string",
"width": 0,
"height": 0,
"parent": {
"id": "cc5lnd2s1s4652adtu50",
"filename": "string",
"path": "string",
"mime_type": "string",
"width": 0,
"height": 0,
"parent": {}
}
},
"primary_image": {
"id": "cc5lnd2s1s4652adtu50",
"filename": "string",
"path": "string",
"mime_type": "string",
"width": 0,
"height": 0,
"parent": {
"id": "cc5lnd2s1s4652adtu50",
"filename": "string",
"path": "string",
"mime_type": "string",
"width": 0,
"height": 0,
"parent": {}
}
}
}
]
}{
"type": "string",
"title": "string",
"detail": "string",
"trace_id": "string",
"metadata": {}
}Link Get GET
Get the details for a specific link. Such as where it's been posted, which resources it's linked to and how many times it's been opened.
Datagraph Matches GET
Query the datagraph optimised for typeahead scenarios. This endpoint is only active when a `SEARCH_PROVIDER` that supports fast access is used. This includes providers such as Bleve and Redis. This endpoint will return a minified set of results directly from the configured search index, without hitting the database. This makes it suitable for performance sensitive use-cases such as type-ahead search, @ mentioning threads/pages, CTRL+K style menus, and more. Results will include a `kind` field and short content, but will not contain graph edges (such as authorship, links, etc.) due to constraints of the underlying search index and to keep payload sizes smaller.